%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   BerkeleyDB
%define modv   0.39


Summary:       Perl extension for Berkeley DB
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Paul Marquess <pmqs@cpan.org>
Provides:      perl(%{modn}) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.5
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(IO::File)
BuildRequires: perl(MLDBM)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: db4-devel


%description
BerkeleyDB provides an Perl interface to most of the functionality
available in Berkeley DB versions 2, 3 and 4.


%prep
%setup -q -n %{modn}-%{modv}

# Fix permissions
%{__chmod} -x Changes README


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS} -Wno-unused"

%{__make} %{?_smp_mflags}


%check
# Buildsystem: remove failing tests on cross-arch/kernel builds
#              (eg. run 2.6/x86_64 -> build 2.4/x86_32)
%{?el3:%{__rm} t/{btree,cds,db-3.0,db-3.2,destroy,encrypt}.t}
%{?el3:%{__rm} t/{env,hash,join,queue,recno,strict,txn}.t}
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README Todo
%{perl_vendorarch}/auto/%{modn}
%{perl_vendorarch}/%{modn}
%{perl_vendorarch}/%{modn}.pm
%{perl_vendorarch}/%{modn}.pod
%{_mandir}/man3/*.3*


%changelog
* Fri Jul 31 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.39-1
- New version (0.39)

* Sun Mar 15 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.38-1
- New version (0.38)

* Mon Nov 17 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.36-1
- Initial build
